<?php
require 'KeetagCaller.php';
$keetag = new KeetagCaller();

// Edit the configuration file to customise the converter
$config = parse_ini_file('config.ini');

$orig_language_id   = $config['orig_language_id'];
$destin_language_id = $config['destin_language_id'];
$text_to_convert    = '';
$converted_text     = '';
$error_message      = '';


// Once you have clicked on the "Convert" button
if (!empty($_POST['text_to_convert'])) {
    
    // Gets the text to convert, sent by the <textarea>
    $text_to_convert = filter_input(INPUT_POST, 'text_to_convert');
    // Converts the text and gets the JSON stream
    $json           = $keetag->convert_text($text_to_convert, $orig_language_id, $destin_language_id);
    // Sanitizes the JSON results
    $converted_text = filter_var($json['converted_text'],        FILTER_SANITIZE_SPECIAL_CHARS);
    $error_message  = filter_var($json['error']['error_message'],FILTER_SANITIZE_SPECIAL_CHARS);
}
?>


<!DOCTYPE html>
<html lang="en">
    
    <head>
        <meta charset="utf-8">
        <title>Convertisseur Keetag</title>
    </head>
    
    <body>
        
        <h1>Convertisseur de texte</h1>
        
        <p style="color:red"><?php echo $error_message ?></p>
        
        <h3>Saisissez le texte à convertir ici :</h3>
        <form method="post" action="">           
            
            <textarea name="text_to_convert" cols="45" rows="8"><?php echo $text_to_convert ?></textarea>
            <br>
            <input type="submit" value="Convertir">
            
        </form>
        
        
        <h3>Texte converti :</h3>
        <pre><?php echo $converted_text ?></pre>
        
    </body>
    
</html>
